<template>
	<view class="driver-index">
		<view class="driver-index-body">
			<!-- 待领取提煤单 -->
			<combined-title title="待领取"></combined-title>
			<card v-for="(item, index) in driverBillOfLoadingData.list1" :key="index" :name="item.id" backgroundType="2">
				<template v-slot:left>
					<view class="card-left__top">
						<text>{{ item.carNum }}</text>
						张
					</view>
					<view class="card-left__utils"><u-button @tap.stop="qiangDanClick(item.orderPlanId)" text="抢单" type="primary" shape="circle"></u-button></view>
				</template>
				<template v-slot:right-top>
					<view class="right-top">
						<view class="card-right-top-row">
							<view>
								<text>{{ item.compName }}</text>
							</view>
							<view>
								<text>{{ item.coalName }}</text>
							</view>
						</view>
						<view class="card-right-top-row">
							<view>
								<text>剩余{{ item.carNum - item.taskNum }}张</text>
							</view>
						</view>
					</view>
				</template>
			</card>

			<!-- 我的提煤单 -->
			<combined-title title="我的提煤单"></combined-title>
			<!-- 卡片 -->
			<!-- <view v-for="(item, index) in driverBillOfLoadingData.list2" :key="index"> -->
			<view>
				<!-- 待预约提煤单 -->
				<view class="daiYuYue" v-for="(item, index) in driverBillOfLoadingData.list3" :key="index">
					<view class="daiYuYueTop">
						<text>提煤单编号：{{ item.code }}</text>
					</view>
					<view class="daiYuYueTable">
						<view>{{ item.deptName }}</view>
						<view>{{ item.coalName }}</view>
						<view>已预约：{{ item.cars }} 车</view>
					</view>
					<view><u-button text="预约" type="primary" @click="toAppointmentClick(item.id)"></u-button></view>
				</view>
				<!-- 已预约提煤单 -->
				<view @click="list3CardIconClick(item)" class="haveYuYue" v-for="(item, index) in driverBillOfLoadingData.list2" :key="index">
					<view class="haveYuYueTop">
						<text>提煤单编号：{{ item.code || '' }}</text>
					</view>
					<view class="haveYuYueCenter">
						<view>{{ item.deptName || '' }}</view>
						<view>{{ item.coalName || '' }}</view>
						<view>排队数：暂无{{}}</view>
					</view>
					<view class="haveYuYueBottom">
						<text>{{ item.yuYueTime || '时段' }}</text>
					</view>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
import { customerId } from '@/utils/status';
export default {
	data() {
		return {
			driverBillOfLoadingData: []
		};
	},
	onShow() {
		this.init();
	},
	methods: {
		init() {
			this.qiangDanList();
		},
		// 司机首页列表
		qiangDanList() {
			uni.showLoading({
				title: '加载中...'
			});
			// this.$reqGet('qiangDanList', { id: customerId }).then(res => {
			this.$reqGet('qiangDanList').then(res => {
				console.log('抢单列表', res);
				uni.hideLoading();
				this.driverBillOfLoadingData = res.data;
			});
		},
		// 抢单
		qiangDanClick(id) {
			// this.$reqPost('qiangDan', { orderPlanId: id, wxUserId: customerId }, 'params').then(res => {
			this.$reqPost('qiangDan', { orderPlanId: id }, 'params').then(res => {
				if (res.code == 0) {
					this.$u.toast('抢单成功');
				}
				console.log('抢单', res);
				this.qiangDanList();
			});
		},
		list3CardIconClick(value) {
			uni.navigateTo({
				url: `/pages/driver-page/driver-index/bill-of-lading-details/bill-of-lading-details?orderPlanId=${value.id}&yyId=${value.yyId}`
			});
		},
		// 提煤单详情
		cardBodyClick(name) {
			uni.navigateTo({
				url: `/pages/driver-page/driver-index/bill-of-lading-details/bill-of-lading-details?orderPlanId=${name}`
			});
		},
		// 去预约
		toAppointmentClick(id) {
			uni.navigateTo({
				url: `/pages/driver-page/appointment/appointment?takeCoalId=${id}`
			});
		}
	}
};
</script>

<style lang="scss" scoped>
::v-deep.driver-index {
	width: 94%;
	margin: 0 auto;
	// 主体
	.driver-index-body {
		margin-bottom: vww(56);
		// 卡片样式
		.card-left__top {
			margin-top: vww(26);
			text-align: center;
			color: #ffffff;
			text {
				font-size: vww(48);
				font-weight: 800;
			}
		}
		.card-left__utils {
			display: flex;
			padding: 0 vww(15) 0 vww(15);
			.u-button {
				width: vww(55);
				height: vww(24);
				background-color: #fff;
				color: #1987ff;
			}
		}
		.right-top {
			display: flex;
			flex-flow: column nowrap;
			align-content: space-around;
			.card-right-top-row {
				margin-top: vww(8);
				text-align: center;
				&:nth-child(1) {
					display: flex;
					justify-content: space-between;
					view {
						text-align: center;
						width: 50%;
					}
				}
			}
		}

		// 待预约
		.daiYuYue {
			margin-top: vww(24);
			font-size: 16px;
			font-weight: 300;
			&Top {
				background-color: #f5f5f5;
				height: vww(40);
				padding-left: vww(12);
				line-height: vww(40);
				border: vww(1) solid #eeeeee;
				font-weight: 400;
			}
			&Table {
				border: vww(1) solid #eeeeee;
				border-top: none;
				display: flex;
				flex: 1;
				height: vww(40);
				line-height: vww(40);
				view {
					border-right: vww(1) solid #eeeeee;
					width: 33.3%;
					text-align: center;
					&:nth-child(3) {
						border-right: none;
					}
				}
			}
		}
		// 已预约
		.haveYuYue {
			font-size: 16px;
			font-weight: 300;
			margin-top: vww(24);
			&Top {
				background-color: #f5f5f5;
				height: vww(40);
				padding-left: vww(12);
				line-height: vww(40);
				border: vww(1) solid #eeeeee;
				font-weight: 400;
			}
			&Center {
				border: vww(1) solid #eeeeee;
				border-top: none;
				display: flex;
				flex: 1;
				height: vww(40);
				line-height: vww(40);
				view {
					border-right: vww(1) solid #eeeeee;
					width: 33.3%;
					text-align: center;
					&:nth-child(3) {
						border-right: none;
					}
				}
			}
			&Bottom {
				border: vww(1) solid #eeeeee;
				border-top: none;
				height: vww(40);
				line-height: vww(40);
				text-align: center;
			}
		}
	}
}
</style>
